%global modname piexif

Name:           python-%{modname}
Version:        1.0.13
Release:        1%{?dist}
Summary:        Pure Python library to simplify exif manipulations with python.

License:        MIT
URL:            https://github.com/hMatoba/Piexif
Source0:        %{url}/archive/%{version}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

%global _description \
Very simple Python library to simplify exif manipulations that does \
not depend on other libraries.\
\
There are only just five functions:\
\
    load(filename)                 - Get exif data as dict.\
    dump(exif_dict)                - Get exif as bytes to save with JPEG.\
    insert(exif_bytes, filename)   - Insert exif into JPEG.\
    remove(filename)               - Remove exif from JPEG.\
    transplant(filename, filename) - Transplant exif from JPEG to JPEG.

%description %{_description}

%package -n     python2-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{modname}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-pillow

%description -n python2-%{modname} %{_description}

Python 2 version.

%package -n     python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pillow

%description -n python3-%{modname} %{_description}

Python 3 version.

%prep
%autosetup -n Piexif-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{modname}
%license LICENSE.txt
%doc README.rst
%{python2_sitelib}/%{modname}-*.egg-info/
%{python2_sitelib}/%{modname}/

%files -n python3-%{modname}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{modname}-*.egg-info/
%{python3_sitelib}/%{modname}/

%changelog
* Tue Sep 12 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.13-1
- Update to 1.0.13

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.12-1
- Update to 1.0.12

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jan 21 2017 Igor Gnatenko <ignatenko@redhat.com> - 1.0.10-1
- Update to 1.0.10

* Thu Jan 19 2017 Igor Gnatenko <ignatenko@redhat.com> - 1.0.8-1
- Update to 1.0.8

* Tue Sep  6 2016 José Matos <jamatos@fedoraproject.org> - 1.0.7-1
- update to 1.0.7
- remove files need for tests since they have been included upstream

* Thu Sep  1 2016 José Matos <jamatos@fedoraproject.org> - 1.0.5-1
- Initial package.
